tigase.auth

## Class SaslInvalidLoginExcepion

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.security.sasl.SaslException
        - - tigase.auth.XmppSaslException
          - - tigase.auth.SaslInvalidLoginExcepion

- All Implemented Interfaces:
    Serializable

      public class SaslInvalidLoginExcepion
      extends XmppSaslException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.auth.XmppSaslException

      `XmppSaslException.SaslError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslInvalidLoginExcepion(XmppSaslException.SaslError saslError, String jid)`
    `SaslInvalidLoginExcepion(XmppSaslException.SaslError saslError, String jid, String detail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJid()`

    - ### Methods inherited from class tigase.auth.XmppSaslException

      `getSaslError, getSaslErrorElementName`

    - ### Methods inherited from class javax.security.sasl.SaslException

      `getCause, initCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SaslInvalidLoginExcepion

          public SaslInvalidLoginExcepion(XmppSaslException.SaslError saslError,
                                          String jid)

    - #### SaslInvalidLoginExcepion

          public SaslInvalidLoginExcepion(XmppSaslException.SaslError saslError,
                                          String jid,
                                          String detail)

  - ### Method Detail

    - #### getJid

          public String getJid()

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.